'ColorButton.inc - Copyright by Julian Schmidt
'http://julian-schmidt.xprofan.com/

declare color_&[], picbutton&[], anzahl%, bitmap&
Proc CreateColorButton
    Parameters hdl&,color_&,xpos1%,ypos1%,xpos2%,ypos2%
    bitmap&=Create("hNewPic", xpos2%-6, ypos2%-6, color_&)
    picbutton&[anzahl%+1]=Create("PicButton",hdl&,bitmap&,xpos1%,ypos1%,xpos2%,ypos2%)
    color_&[anzahl%+1]=color_&
    anzahl%=anzahl%+1
    Return picbutton&[anzahl%]
EndProc
Proc ColorButton.SetColor
    Parameters hdl&,color_&
    bitmap&=Create("hNewPic", width(hdl&)-6, height(hdl&)-6, color_&)
    whileloop anzahl%
        case hdl&=picbutton&[&loop] : color_&[&loop]=color_&
    Endwhile
    Sendmessage(hdl&,$F7,0,bitmap&)
EndProc
Proc ColorButton.GetColor
    Parameters hdl&
    var color_&=-1
    whileloop anzahl%
        case hdl&=picbutton&[&loop] : color_&=color_&[&loop]
    Endwhile
    Return color_&
EndProc
Proc ColorButton.SetRandomCol
    Parameters hdl&
    ColorButton.SetColor(hdl&,RND(256*256*256))
    Return ColorButton.GetColor(hdl&)
EndProc
